Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1288335 - perl-Sys-Syscall port for aarch64/ppc64le/s390x
Summary: perl-Sys-Syscall port for aarch64/ppc64le/s390x
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Sys-Syscall
Version: 24
Hardware: Unspecified
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ZedoraTracker ARM64, F-ExcludeArch-aarch64 F-ExcludeArch-ppc64le, PPC64LETracker 1270267
TreeView+ depends on / blocked
 
Reported: 2015-12-04 04:31 UTC by Yaakov Selkowitz
Modified: 2016-03-07 13:42 UTC (History)
4 users (show)

Fixed In Version: perl-Sys-Syscall-0.25-10.fc24
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-03-07 13:42:12 UTC


Attachments (Terms of Use)
Patch for rawhide (deleted)
2015-12-04 04:37 UTC, Yaakov Selkowitz
no flags Details | Diff

Description Yaakov Selkowitz 2015-12-04 04:31:18 UTC
perl-Sys-Syscall included hardcoded SYS_* syscall values for several architectures, along with a fallback to use asm/unistd*.ph (via sys/syscall.ph).  Unfortunately, the fallback does not touch the default $u64_mod_8=0, even though that seemingly applies only to x86.  This causes failures in the testsuite when run on such architectures (including aarch64, ppc64le, and s390/x), as reported in bug 1270267.

Unfortunately, aarch64 is a bit more complicated, as it does not support the deprecated epoll_create and epoll_wait syscalls, so this needs to be ported to use the epoll_create1 and epoll_pwait syscalls instead.

I am attaching a patch that fixes the testsuite for these three architectures, as well as restoring backwards compatibility so that this can be merged into EPEL.

Comment 1 Yaakov Selkowitz 2015-12-04 04:37:19 UTC
Created attachment 1102103 [details]
Patch for rawhide

Please consider merging this into f22 and f23 as well.  Successful 
scratch builds:

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3310339
http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=2964517
http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=1996382

Comment 2 Petr Šabata 2015-12-04 08:03:20 UTC
Yaakov, could you submit these upstream, please?
http://contributing.appspot.com/sys-syscall
https://rt.cpan.org/Public/Dist/Display.html?Name=Sys-Syscall

Comment 3 Yaakov Selkowitz 2015-12-04 08:39:47 UTC
(In reply to Petr Šabata from comment #2)
> Yaakov, could you submit these upstream, please?

Done: https://github.com/bradfitz/sys-syscall/pull/6

Comment 4 Yaakov Selkowitz 2015-12-07 01:15:05 UTC
(In reply to Yaakov Selkowitz from comment #3)
> (In reply to Petr Šabata from comment #2)
> > Yaakov, could you submit these upstream, please?
> 
> Done: https://github.com/bradfitz/sys-syscall/pull/6

This has been pulled in upstream.

Comment 5 Petr Šabata 2015-12-07 17:28:57 UTC
That was quick.  Thanks.

Comment 6 Petr Šabata 2015-12-08 16:46:30 UTC
Okay, pushed.

I modified/simplified your SPEC patch a little.

Comment 7 Fedora Update System 2015-12-08 17:06:56 UTC
perl-Sys-Syscall-0.25-10.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe4cc5356e

Comment 8 Fedora Update System 2015-12-08 22:57:03 UTC
perl-Sys-Syscall-0.25-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Sys-Syscall'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-09c4aaaa48

Comment 9 Fedora Update System 2015-12-08 23:50:38 UTC
perl-Sys-Syscall-0.25-10.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Sys-Syscall'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fe4cc5356e

Comment 10 Fedora Update System 2015-12-17 07:29:07 UTC
perl-Sys-Syscall-0.25-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2015-12-17 08:52:15 UTC
perl-Sys-Syscall-0.25-10.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Jan Kurik 2016-02-24 14:05:36 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase


Note You need to log in before you can comment on or make changes to this bug.